import './view/page/login/Login.jsx';
import './view/page/account/WelcomePage.jsx';
import './view/page/account/Account.jsx';
import './view/page/tmp/Fields.jsx';

import Header from './view/block/header/Header.jsx';
import "/global-styles/base.scss";

import { Switch } from "./view/cmp/switch/Switch";
import {Page} from "./view/page/Page";

export default function() {
  let tagField, exportEl;

  let dom = <div renderTo={document.body} cls="page-content">
    <view.block.Header/>
    {Switch({cls: 'page-content__inner', key: 'navigation.current'},
      Object.keys(Page).reduce((store, pageName)=>{
        store[pageName] = new Page[pageName]();
        return store;
      }, {})
    )}
  </div>;
};


